txt2pdbdoc(1)

NAME
txt2pdbdoc - Wandelt Text- in Doc-Dateien für Palm Pilots um

ÜBERSICHT
txt2pdbdoc [-b] [-c] [-v] Dokumentname Datei.txt Datei.pdb
txt2pdbdoc -d [-D] [-v] Datei.pdb [ Datei.txt ]
txt2pdbdoc -V

BESCHREIBUNG
txt2pdbdoc wandelt eine Text-Datei in eine Doc(4) -Datei im PDB-(Pilot Datenbank)-Format um, das von allen Palm-Pilot-Modellen benutzt wird. (Eine Doc-Datei kann auch in eine Text-Datei umgewandelt werden.) Die erzeugten PDB-Dateien können via HotSync direkt auf den Pilot übertragen werden.

Der Dokumentname wird in der Auflistung der Dokumente des Leseprogramms auf dem Pilot verwendet.

OPTIONEN

-b  Normalerweise werden Zeichen mit einem ASCII-Wert kleiner als 9 entfernt und Carriage-Returns und Form-Feeds werden in Newlines umgewandelt. Diese Option unterdrückt das.

-c  Normalerweise wird der Text komprimiert. Diese Option unterdrückt das.

-d  Wandelt eine angegebene Doc-Datei in Text um, entweder in eine Datei oder auf die Standardausgabe, wenn keine Ziel-Datei angegeben wurde.

-D  Datei-Marke "type/creator" der umzuwandelnden Doc-Datei nicht auswerten. Diese Option sollte nur dann angegeben werden, wenn es sicher ist, dass die Datei eine Doc-Datei ist. Der Versuch, ein anderes Datei-Format umzuwandeln, verursacht unerwartetes Verhalten und führt ziemlich sicher zum Absturz.

-v  Verbose-Modus. Beim Umwandeln in Doc, werden Fortschritts- und Komprimierungsstatistiken alle 4KB Text und eine Endstatistik auf die Standard-Fehlerausgabe geschrieben; beim Umwandeln in Text, wird der Fortschritt als ``Countdown'' angezeigt.

-V  Schreibt die Versionsnummer von txt2pdbdoc auf die Standardausgabe und beendet sich.

BEISPIEL
Eine Text-Datei in eine Doc-Datei umwandeln: txt2pdbdoc 'Through the Looking Glass' alice.txt alice.pdb

DIAGNOSE
Das Programm endet mit einem dieser Werte:

    0   Erfolgreich.
    1   Fehler in den Kommandozeilen-Optionen oder in der Benutzung.
    2   Quelldatei konnte nicht geöffnet werden.
    3   Zieldatei konnte nicht geöffnet werden.
    4   Konnte Datei nicht lesen.
    5   Konnte Datei nicht schreiben.
    6   Datei ist nicht im Doc-Format.
    7   Doc-Datei mit unbekanntem Kompressionstyp.

BESONDERHEITEN

1.  Dokumentnamen sind im PDB-Format auf 31 Zeichen beschränkt. Längere Namen werden gekürzt und der 29-31. Buchstabe wird durch ``...'' ersetzt, um die Kürzung anzuzeigen.

2.  Das Kommando wurde nicht ``txt2doc'' genannt, um Verwirrung über mögliche Zusammenhänge mit Microsoft Word Dokumenten mit der Endung .doc zu vermeiden.

SIEHE AUCH
html2pdbtxt(1), pdbtxt2html(1), doc(4), pdb(4)

AUTOR
Paul J. Lucas <pauljlucas@mac.com>
Deutsche Übersetzung: Erik Schanze <eriks@debian.org>